# FFmpegKit iOS / macOS / tvOS API: AbstractSession.m File Reference

Loading...
Searching...
No Matches
AbstractSession.m File Reference

Go to the source code of this file.

## Functions

void | addSessionToSessionHistory (id< Session > session)

## Variables

int const | AbstractSessionDefaultTimeoutForAsynchronousMessagesInTransmit = 5000
static AtomicLong * | sessionIdGenerator = nil
LogCallback | _logCallback
NSDate * | _createTime
NSDate * | _startTime
NSDate * | _endTime
NSArray * | _arguments
NSMutableArray * | _logs
NSRecursiveLock * | _logsLock
SessionState | _state
ReturnCode * | _returnCode
NSString * | _failStackTrace
LogRedirectionStrategy | _logRedirectionStrategy

## Function Documentation

## addSessionToSessionHistory()

void addSessionToSessionHistory | ( | id< Session > | session | ) |

Definition at line 117 of file FFmpegKitConfig.m.

## Variable Documentation

## _arguments

NSArray* _arguments

Definition at line 39 of file AbstractSession.m.

## _createTime

NSDate* _createTime

Definition at line 36 of file AbstractSession.m.

## _endTime

NSDate* _endTime

Definition at line 38 of file AbstractSession.m.

## _failStackTrace

NSString* _failStackTrace

Definition at line 44 of file AbstractSession.m.

## _logCallback

LogCallback _logCallback

Initial value:
{
long _sessionId
_sessionId
long _sessionId
Definition FFmpegKitConfig.m:144

Definition at line 35 of file AbstractSession.m.

## _logRedirectionStrategy

LogRedirectionStrategy _logRedirectionStrategy

Definition at line 45 of file AbstractSession.m.

## _logs

NSMutableArray* _logs

Definition at line 40 of file AbstractSession.m.

## _logsLock

NSRecursiveLock* _logsLock

Definition at line 41 of file AbstractSession.m.

## _returnCode

ReturnCode* _returnCode

Definition at line 43 of file AbstractSession.m.

## _startTime

NSDate* _startTime

Definition at line 37 of file AbstractSession.m.

## _state

SessionState _state

Definition at line 42 of file AbstractSession.m.

## AbstractSessionDefaultTimeoutForAsynchronousMessagesInTransmit

int const AbstractSessionDefaultTimeoutForAsynchronousMessagesInTransmit = 5000

Defines how long default "getAll" methods wait, in milliseconds.

Definition at line 27 of file AbstractSession.m.

## sessionIdGenerator

AtomicLong* sessionIdGenerator = nil

static

Definition at line 29 of file AbstractSession.m.